Package org.drinkless.tdlib

# Class TdApi.GiftBackground

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftBackground

Enclosing class:
  `TdApi`

public static class TdApi.GiftBackground extends TdApi.Object
Describes background of a gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `centerColor`
  Center color in RGB format.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `edgeColor`
  Edge color in RGB format.
  `int`
  `textColor`
  Text color in RGB format.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftBackground()`
  Describes background of a gift.
  `GiftBackground(int centerColor, int edgeColor, int textColor)`
  Describes background of a gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### centerColor

    public int centerColor
    Center color in RGB format.

  - ### edgeColor

    public int edgeColor
    Edge color in RGB format.

  - ### textColor

    public int textColor
    Text color in RGB format.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftBackground

    public GiftBackground()
    Describes background of a gift.

  - ### GiftBackground

    public GiftBackground(int centerColor, int edgeColor, int textColor)
    Describes background of a gift.
    Parameters:
      `centerColor` - Center color in RGB format.
      `edgeColor` - Edge color in RGB format.
      `textColor` - Text color in RGB format.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR